/* Sven multimedia keyboard deamon
 * dump.c
 *
 * Copyright (C) 2020 step-
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
#include <gdk/gdk.h>
#include <gtk/gtk.h>
#include <gtk/gtkwindow.h>
#include <gdk/gdkkeysyms.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>				/* getopt() */

#include "../sven.h"
#include "../pixmap.h"
#include "confdevice.h"
#include "prefswin.h"
#include "configplugin.h"
#include "configxosd.h"
#include "dump.h"

gint dump_enable = 0;

static GtkWidget *pref_notebook,*key_conf,*mouse_conf;

void prefs_dump_close()
{
	gtk_widget_destroy(pref_notebook);
	pref_notebook = NULL;
}

static void dump_conf_key (GtkNotebook * notebook, const gchar * name,Sven *sven)
{
	GtkWidget *scrolledwindow,*viewport;

	if(sven==NULL)
		return;

	key_conf = sconfdevice_new (sven,_("Keyboard"),0);
	if (key_conf)
	{
		gtk_widget_destroy(key_conf);
		key_conf = NULL;
	}
}

static void dump_conf_mouse (GtkNotebook * notebook, const gchar * name,Sven *sven)
{
	GtkWidget *scrolledwindow,*viewport;

	if(sven==NULL)
		return;

	mouse_conf = sconfdevice_new (sven,_("Mouse"),1);
	if (mouse_conf)
	{
		gtk_widget_destroy(mouse_conf);
		mouse_conf = NULL;
	}
}

void prefs_dump(Sven *sven)
{
	if(sven==NULL)
		return;

	/* the pref_notebook */
	pref_notebook = gtk_notebook_new ();

	dump_conf_key (GTK_NOTEBOOK (pref_notebook), _("Keyboard"),sven);
	dump_conf_mouse (GTK_NOTEBOOK (pref_notebook), _("Mouse"),sven);
}

void dump_key_list (gint device,gchar *section,gchar *comment,gchar *code,gchar *command,gchar *text,gchar *type,gint enable)
{
	if (dump_enable)
	{
		printf("device=%d\nsection=%s\nsym=%s\ntype=%s\nenable=%d\ndescription=%s\ncommand=%s\ncomment=%s\n\n",
				device,section,code,type,enable,text,command,comment);
	}
}

